## org.apache.axis.components.uuid
Class UUIDGenFactory

    java.lang.Object
      |
      +--org.apache.axis.components.uuid.UUIDGenFactory

public abstract class UUIDGenFactory
extends java.lang.Object

A Universally Unique Identifier (UUID) is a 128 bit number generated according to an algorithm that is garanteed to be unique in time and space from all other UUIDs. It consists of an IEEE 802 Internet Address and various time stamps to ensure uniqueness. For a complete specification, see ftp://ietf.org/internet-drafts/draft-leach-uuids-guids-01.txt [leach].

Since:
  JDK1.2.2
Version:
  1.0 11/7/2000
Author:
  Steve Viens

Constructor Summary
`UUIDGenFactory()`

Method Summary
`static void` `destroyUUIDGen(UUIDGen uuidgen)` Release any aquired external resources and stop any background threads.
`static UUIDGen` `getUUIDGen(java.lang.String uuidgenClassName)` getInstance Returns the singleton instance of UUIDGen

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UUIDGenFactory

    public UUIDGenFactory()

Method Detail

### getUUIDGen

    public static UUIDGen getUUIDGen(java.lang.String uuidgenClassName)

  getInstance Returns the singleton instance of UUIDGen

### destroyUUIDGen

    public static void destroyUUIDGen(UUIDGen uuidgen)

  Release any aquired external resources and stop any background threads.

Copyright © 2003 Apache Web Services Project. All Rights Reserved.